1. Cobalt232's Avatar
    Here's an update from the coding cave:

    I'm currently working on the patches for Google Play Services 10.0., Google Play Games 3.9 and a new release of Google+ Whitelist. The most important change will be that we will no longer need a custom API Key for apps that display content based on Google Maps. A new method of signature spoofing makes this possible. To make this work, the apps must be patched with Play Services Patcher and the option "Decompile Resources = OFF". This is required to preserve the original API Key in Android Manifest.

    Google+ Login, Google Maps API (and all other Google API calls going thru Google Play Services), including In-App Billing, should work for all apps that are listed in the Google+ Whitelist app. This is a big thing!!

    The basic coding is almost completed and I'm currently implementing the error handling routines. I'm targeting this weekend for the launch.

    If you want to support my work, you can do that by donating some bucks to my PayPal account:
    Donate
    01-03-17 09:46 AM
  2. conite's Avatar

    The basic coding is almost completed and I'm currently implementing the error handling routines. I'm targeting this weekend for the launch.

    If you want to support my work, you can do that by donating some bucks to my PayPal account:
    Donate
    This is a huge update indeed!

    The only other reason to set decompile to on (other than maps currently) is to patch for the minimum api requirement. Any thoughts on this one?

    And yes, please donate folks!
    01-03-17 09:49 AM
  3. Cobalt232's Avatar
    You can still use the resources decompile option, but then must untick the Maps V2 API Key injection.
    01-03-17 09:53 AM
  4. conite's Avatar
    You can still use the resources decompile option, but then must untick the Maps V2 API Key injection.
    So it's one or the other. OK. Thanks!
    01-03-17 10:01 AM
  5. Cobalt232's Avatar
    So it's one or the other. OK. Thanks!
    No, you can have it all.

    Example 1:
    Your app is a standard app (for SDK 18), needs Maps API V2 and Play Services patch.

    Patching instruction for Example 1:
    1. Do NOT tick "Decompile Resources"
    2. Analyze Package
    3. Select Play Services Patch
    4. Start patching.

    Result: All features will work

    Example 2:
    Your app requires SDK >18, Maps API V2 and Play Services patch.

    Patching instruction for Example 2:
    1. TICK "Decompile Resources"
    2. Analyze Package
    3. Select Play Services patch, select min SDK patch
    4. UNTICK Maps V2 patch (because we want to use the existing API Key in Manifest)
    5. Start patching.

    Result: All features will work

    To other readers: This is for the upcoming version. It does not apply for the current solution.
    01-03-17 11:21 AM
  6. rafaelvlmendes's Avatar
    Hi Conite and Cobalt
    I try patcher Uber Driver 3.118.5 but The maps no show. Else remeber need the API Google Maps in Uber Driver.
    I try again with new API but the app no want rebuilding, always show error.

    Can try us rebuilding and up to Mega o Dropbox?
    Zippyshare.com - com.ubercab.driver-3.118.5-APK4Fun.com.apk
    API -> AIzaSyA12NlVzjQ0_N3Ov8pQ5iCyFOumhBDDaww

    Thanks
    01-03-17 11:30 AM
  7. BlackBaby679's Avatar
    Hi! Sir, has anyone of you tried the Http Injector if it's possible to work on BB10? Thank you

    Posted via CB10
    01-03-17 11:39 AM
  8. conite's Avatar
    No, you can have it all.

    Result: All features will work

    To other readers: This is for the upcoming version. It does not apply for the current solution.
    Got it!
    01-03-17 11:42 AM
  9. rafaelvlmendes's Avatar
    Hi Conite and Cobalt
    I try patcher Uber Driver 3.118.5 but The maps no show. Else remeber need the API Google Maps in Uber Driver.
    I try again with new API but the app no want rebuilding, always show error.

    Can try us rebuilding and up to Mega o Dropbox?
    API -> AIzaSyA12NlVzjQ0_N3Ov8pQ5iCyFOumhBDDaww

    Thanks
    01-03-17 11:50 AM
  10. conite's Avatar
    Hi Conite and Cobalt
    I try patcher Uber Driver 3.118.5 but The maps no show. Else remeber need the API Google Maps in Uber Driver.
    I try again with new API but the app no want rebuilding, always show error.

    Can try us rebuilding and up to Mega o Dropbox?
    API -> AIzaSyA12NlVzjQ0_N3Ov8pQ5iCyFOumhBDDaww

    Thanks
    You can't patch Uber at the moment. It will not recompile - which is needed to get maps working.

    This may change when Cobalt releases his updates this weekend, as there is no longer any reason to decompile.
    01-03-17 11:54 AM
  11. rafaelvlmendes's Avatar
    You can't patch Uber at the moment. It will not recompile - which is needed to get maps working.

    This may change when Cobalt releases his updates this weekend, as there is no longer any reason to decompile.
    Hum Ok. I can try others versions to decompile using API key Google Maps? How says.. The Maps in Uber Driver no show using patcher 1.6 removing GPS.
    01-03-17 11:57 AM
  12. conite's Avatar
    Hum Ok. I can try others versions to decompile using API key Google Maps? How says.. The Maps in Uber Driver no show using patcher 1.6 removing GPS.
    Just wait, or use m.uber.com.
    01-03-17 12:03 PM
  13. Mauri5io's Avatar
    Cobalt, can you please add to the whitelist Flightradar 24pro to allow in app billing??? no matter what I do, it still doesn't allow me to buy, it says is not possible, even if I white list unpatched FR24.
    Also please solve the problem when patching grindr, can't recompile, tried a lot of options and apktool is 2.2.1
    I'll be glad to donate! you are keeping up the good work

    Here's an update from the coding cave:

    I'm currently working on the patches for Google Play Services 10.0., Google Play Games 3.9 and a new release of Google+ Whitelist. The most important change will be that we will no longer need a custom API Key for apps that display content based on Google Maps. A new method of signature spoofing makes this possible. To make this work, the apps must be patched with Play Services Patcher and the option "Decompile Resources = OFF". This is required to preserve the original API Key in Android Manifest.

    Google+ Login, Google Maps API (and all other Google API calls going thru Google Play Services), including In-App Billing, should work for all apps that are listed in the Google+ Whitelist app. This is a big thing!!

    The basic coding is almost completed and I'm currently implementing the error handling routines. I'm targeting this weekend for the launch.

    If you want to support my work, you can do that by donating some bucks to my PayPal account:
    Donate
    Attached Thumbnails Cobalt's official Google Apps landing page-grindr.jpg  
    01-04-17 06:00 AM
  14. Metalfonso666's Avatar
    I'm getting "unable to install this app" with Google Account, I'm using a z30, can anyone help?
    01-04-17 08:18 AM
  15. Miftah Firmanul Hakim's Avatar
    I'm getting "unable to install this app" with Google Account, I'm using a z30, can anyone help?
    all u need to uninstall the unpatched/patched app first than install the new apk that u want to
    01-05-17 10:03 AM
  16. Powdah's Avatar
    Not liking anything Google, making the move to Android is going to hurt. Colbalt - can you get the Here Mapping app to work with your magic? Would cause me to make major contribution to you.
    01-05-17 02:14 PM
  17. conite's Avatar
    Not liking anything Google, making the move to Android is going to hurt. Colbalt - can you get the Here Mapping app to work with your magic? Would cause me to make major contribution to you.
    It's not a matter of Google Play Services - it's simply an incompatibility.
    01-05-17 02:15 PM
  18. plutus55's Avatar
    Garmin connect 3.13.0.1 tried patching with 1.6 patcher with and without api key am getting errors cannot be built or not require patching. Have 64bit win10 with latest java installed and have tried 32bit latest java still same errors. Am I doing something wrong or that version is impossible to patch for now?

    Posted via CB10
    01-05-17 05:26 PM
  19. obyagbi's Avatar
    Hi All, I am new to BB and been struggling on how to add Google play services to my BB10 passport device. I have downloaded the patcher 1.6 and the APK but keep getting error message. ‘’ Java.exe not found, please configure the Java path settings or install the latest JRE. I have the latest running java on my Win 10 device, can anyone help me with this issue. Thanks
    01-05-17 07:50 PM
  20. nabeel-bb-user's Avatar
    Question can i run patched apps without installing any of the google services?
    01-05-17 10:54 PM
  21. conite's Avatar
    Question can i run patched apps without installing any of the google services?
    Sometimes. But they usually require the rest of the stack.
    nabeel-bb-user likes this.
    01-05-17 10:55 PM
  22. conite's Avatar
    Hi All, I am new to BB and been struggling on how to add Google play services to my BB10 passport device. I have downloaded the patcher 1.6 and the APK but keep getting error message. ‘’ Java.exe not found, please configure the Java path settings or install the latest JRE. I have the latest running java on my Win 10 device, can anyone help me with this issue. Thanks
    Under the paths tab, simply navigate to your jave.exe file.
    01-05-17 10:56 PM
  23. rolfep's Avatar
    I've got a new to me Q10, first Blackberry, and tend to be a bit conservative.
    SQN100-5 on T-Mobile
    SR 10.3.2.2530
    OS 10.3.2.2813
    RV 10.3.2.2814

    I tried Cobalt232's Google Play Store for BlackBerry 10 briefly, encountered problems, and uninstalled.

    Reading the recent developments, here, I'm warming up to the idea of patching, even. I wonder if I should start out giving Google Play Store for BlackBerry 10 another try; looks simple, I've got a little free time. Or, would it be better to wait for Cobalt's official Google Apps new version to come out?

    Thanks.
    01-06-17 10:57 AM
  24. Cobalt232's Avatar
    What problems did you encounter with Play Store?
    01-06-17 11:04 AM
  25. Cobalt232's Avatar
    UPDATES AVAILABLE!

    As announced this week, the new versions of the Google stack are now available:
    • Google Play Services 10.0.84
    • Google Play Games 3.9.08
    • Google+ Whitelist 1.0.0.6

    The downloads are available from the regular MEGA link (in the first post).

    Changelog
    * Implemented new signature spoofing method
    * In-App Billing and logging in using the Google Account with patched apps now works again correctly.

    Known issues:
    * "Set up nearby device" option in Play Services doesn't work and crashes the app.

    This release brings a fundamental change in the way how signatures are spoofed. For that reason there are some important changes that you need to understand.

    1. You do no longer need a personal Google Maps API key to display maps in apps. The app manufacturers keys will now work. The app still must be patched for Google Play Services signature check!

    2. When patching apps with Play Services Patcher, do NOT select the patch "Google Maps Android API" or "Google Maps Geo API"

    3. You need to update ALL of your custom added signatures in the Google+ whitelist app.

    The Google+ Whitelist app has a new option to remove custom signatures. Just long press an item to remove the signature. This does not work for the hardcoded apps (you will see a dialog that tells you exactly that).

    You can roll back to previous versions by removing BlackBerry Google ID, Google+ Whitelist and Google Play Services 10.0.x and then installing the old files again. But there shouldn't be any reason to roll back anyway.

    Drop your feedback here and don't forget to donate for my efforts ;-)

    Enjoy!
    Last edited by Cobalt232; 01-06-17 at 12:15 PM.
    rolfep, txfabnet, arkenoi and 1 others like this.
    01-06-17 12:02 PM
9,456 ... 310311312313314 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 116
    Last Post: 05-19-18, 10:54 AM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 11:23 AM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 10:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 10:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 04:01 AM
LINK TO POST COPIED TO CLIPBOARD